Get Flight logs
GET /nests/{nestId}/birds/{birdId}/flights/{flightId}/logs
GET
/nests/{nestId}/birds/{birdId}/flights/{flightId}/logs
Returns Flight related events such as take-off, landing, informational logs and errors.
Authorizations
Parameters
Path Parameters
nestId
required
string
The ID of the Nest that contains the Bird.
birdId
required
string
The ID of the Bird whose Flight logs are being listed.
flightId
required
string
The ID of the Flight whose logs are being retrieved.
Query Parameters
page
integer format: int32
The zero-based page index to return.
pageSize
integer format: int32
The number of log items to return per page.
ascending
boolean
Whether to sort the logs in ascending order by creation time.
from
string format: date-time
Optional start timestamp to filter logs from, in ISO 8601 format, for example 2027-10-13T16:33:46Z.
to
string format: date-time
Optional end timestamp to filter logs to, in ISO 8601 format, for example 2027-10-13T16:33:46Z.
Responses
200
A paginated list of logs for the specified Flight.
object
items
Array<object>
object
id
string
createdAt
string format: date-time
workspaceId
integer format: int32
flowInstanceId
string
initiator
string
message
string
eventType
integer format: int32
durationInSeconds
integer format: int32
eventFailedBy
string
isSkipped
boolean
isRetried
boolean
sdkLogType
string
stepId
string
scope
string
errorType
integer format: int32
totalCount
integer format: int32
page
integer format: int32
pageSize
integer format: int32
Examples
Take-off, SDK logs and landing events
{ "items": [ { "eventType": 2, "durationInSeconds": 11, "id": "019ef4c8-7d14-7f83-8b4a-0bf706d696c6", "createdAt": "2026-06-23T14:00:40.468335Z", "workspaceId": 682, "flowInstanceId": "e18b5841-3f1a-42d9-b7bf-b47200e6d761", "initiator": "Blackbird" }, { "eventType": 4, "sdkLogType": "Information", "stepId": "a6fa91cd-928d-4958-8237-1b75e7c5fbbe", "scope": "0", "id": "019ef4c8-7aae-73f8-ac1f-0f7168f6fe09", "createdAt": "2026-06-23T14:00:39.854443Z", "workspaceId": 682, "flowInstanceId": "e18b5841-3f1a-42d9-b7bf-b47200e6d761", "initiator": "Blackbird", "message": "This is information log" }, { "eventType": 5, "stepId": "75850698-a910-4039-a9ac-751abb34c0b4", "scope": "0", "errorType": 2, "isSkipped": true, "isRetried": false, "id": "019ef4c8-7a82-74b0-bddc-a61b8787c3e4", "createdAt": "2026-06-23T14:00:39.810444Z", "workspaceId": 682, "flowInstanceId": "e18b5841-3f1a-42d9-b7bf-b47200e6d761", "initiator": "Blackbird", "message": "This is expected PluginApplication exception" } ], "totalCount": 21, "page": 0, "pageSize": 20}Error and diagnostic events
{ "items": [ { "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "createdAt": "2026-07-02T14:15:00.458Z", "workspaceId": 0, "flowInstanceId": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "initiator": "string", "message": "string", "eventType": 1 }, { "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "createdAt": "2026-07-02T14:15:00.458Z", "workspaceId": 0, "flowInstanceId": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "initiator": "string", "message": "string", "eventType": 2, "durationInSeconds": 0 }, { "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "createdAt": "2026-07-02T14:15:00.458Z", "workspaceId": 0, "flowInstanceId": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "initiator": "string", "message": "string", "eventType": 3, "eventFailedBy": "Subscription", "isSkipped": true, "isRetried": true }, { "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "createdAt": "2026-07-02T14:15:00.458Z", "workspaceId": 0, "flowInstanceId": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "initiator": "string", "message": "string", "eventType": 4, "sdkLogType": "Information", "stepId": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "scope": "string" }, { "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "createdAt": "2026-07-02T14:15:00.458Z", "workspaceId": 0, "flowInstanceId": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "initiator": "string", "message": "string", "eventType": 5, "stepId": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "scope": "string", "eventFailedBy": "Subscription", "errorType": 0, "isSkipped": true, "isRetried": true } ], "totalCount": 0, "page": 0, "pageSize": 0}404
Not Found
object
type
string
title
string
status
integer format: int32
detail
string
instance
string
key
additional properties
500
Server Error